pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/graphics/zbar Fix portability of test case.
details: https://anonhg.NetBSD.org/pkgsrc/rev/4d8c6ddde935
branches: trunk
changeset: 414411:4d8c6ddde935
user: joerg <joerg%pkgsrc.org@localhost>
date: Thu Mar 26 21:51:11 2020 +0000
description:
Fix portability of test case.
diffstat:
graphics/zbar/distinfo | 3 +-
graphics/zbar/patches/patch-test_test__examples.sh.in | 72 +++++++++++++++++++
2 files changed, 74 insertions(+), 1 deletions(-)
diffs (90 lines):
diff -r 6e005a086780 -r 4d8c6ddde935 graphics/zbar/distinfo
--- a/graphics/zbar/distinfo Thu Mar 26 21:50:44 2020 +0000
+++ b/graphics/zbar/distinfo Thu Mar 26 21:51:11 2020 +0000
@@ -1,4 +1,4 @@
-$NetBSD: distinfo,v 1.1 2019/12/04 11:17:32 leot Exp $
+$NetBSD: distinfo,v 1.2 2020/03/26 21:51:11 joerg Exp $
SHA1 (zbar-0.23.tar.bz2) = 11a1d3f1aa8ef905fe16d88347a191909705d7ab
RMD160 (zbar-0.23.tar.bz2) = 59ecd5c78fa91f6951a129377b4fa477307676bb
@@ -6,3 +6,4 @@
Size (zbar-0.23.tar.bz2) = 1168183 bytes
SHA1 (patch-configure) = 7cbc332aae614096b4dcc76af0dd831284639fcc
SHA1 (patch-gtk_Makefile.in) = bf32ac312d0d00ed7ac152ddd849dae0fc681e74
+SHA1 (patch-test_test__examples.sh.in) = d8a91cf9f8d619723825d6b50c26e781b5411a43
diff -r 6e005a086780 -r 4d8c6ddde935 graphics/zbar/patches/patch-test_test__examples.sh.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/graphics/zbar/patches/patch-test_test__examples.sh.in Thu Mar 26 21:51:11 2020 +0000
@@ -0,0 +1,72 @@
+$NetBSD: patch-test_test__examples.sh.in,v 1.1 2020/03/26 21:51:11 joerg Exp $
+
+--- test/test_examples.sh.in.orig 2020-03-26 11:48:50.144837043 +0000
++++ test/test_examples.sh.in
+@@ -31,28 +31,28 @@ test()
+ fi
+ }
+
+-if [ "@ENABLE_CODE128@" == "1" ]; then
++if [ "@ENABLE_CODE128@" = "1" ]; then
+ test code-128.png
+ fi
+
+-if [ "@ENABLE_CODE93@" == "1" ]; then
++if [ "@ENABLE_CODE93@" = "1" ]; then
+ test code-93.png
+ fi
+
+-if [ "@ENABLE_CODE39@" == "1" ]; then
++if [ "@ENABLE_CODE39@" = "1" ]; then
+ test code-39.png
+ fi
+
+-if [ "@ENABLE_CODABAR@" == "1" ]; then
++if [ "@ENABLE_CODABAR@" = "1" ]; then
+ test codabar.png
+ fi
+
+-if [ "@ENABLE_DATABAR@" == "1" ]; then
++if [ "@ENABLE_DATABAR@" = "1" ]; then
+ test databar.png
+ test databar-exp.png
+ fi
+
+-if [ "@ENABLE_EAN@" == "1" ]; then
++if [ "@ENABLE_EAN@" = "1" ]; then
+ test -Sean2.enable ean-2.png
+ test -Sean5.enable ean-5.png
+ test ean-8.png
+@@ -62,27 +62,27 @@ if [ "@ENABLE_EAN@" == "1" ]; then
+ test -Supca.enable code-upc-a.png
+ fi
+
+-if [ "@ENABLE_I25@" == "1" ]; then
++if [ "@ENABLE_I25@" = "1" ]; then
+ test i2-5.png
+ fi
+
+-if [ "@ENABLE_QRCODE@" == "1" ]; then
++if [ "@ENABLE_QRCODE@" = "1" ]; then
+ test qr-code.png
+ test -Stest-inverted qr-code-inverted.png
+ fi
+
+-if [ "@ENABLE_SQCODE@" == "1" ]; then
++if [ "@ENABLE_SQCODE@" = "1" ]; then
+ test sqcode1-generated.png
+ test sqcode1-scanned.png
+ fi
+
+ # The pdf417 code is incomplete: it doesn't output any results
+ #
+-#if [ "@ENABLE_PDF417@" == "1" ]; then
++#if [ "@ENABLE_PDF417@" = "1" ]; then
+ # test code-pdf417.png
+ #fi
+
+-if [ "$ERR" == "" ]; then
++if [ "$ERR" = "" ]; then
+ echo "zbarimg PASSED."
+ else
+ exit 1
Home |
Main Index |
Thread Index |
Old Index